/**
 * 
 * @author Tom Kelliher
 * A class for creating a modulo counter.  The counter's initial count is 0.
 * When count reaches limit, count resets to 0.
 *
 */

public class ModCounter {

	private int count;
	private int limit;
	
	public ModCounter(int limit) {
		count = 0;
		this.limit = limit;
	}

	/**
	 * Return and increment the count.  If count has reached limit, reset
	 * count to 0.
	 * @return The next count.
	 */
	
	public int next() {
		int val = count;
		count = (count + 1) % limit;
		return val;
	}
}
